<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function rotate_image($src_dir, $dest_dir, $imgName, $angle)
{
  if(!($img = imagecreatefromjpeg($src_dir.$imgName))){
    echo("Nie mogę otworzyć pliku: $imgName");
    return false;
  }

  $img = imagerotate($img, $angle, 0);

  $name = substr($imgName, 0, strlen($imgName) - 4);
  $name = $name."-rotated.jpg";

  imagejpeg($img, $dest_dir.$name);
}
function rotate_dir_images($src_dir, $dest_dir, $angle)
{
  if(!($fd = opendir($src_dir))) return false;
  $array = array();
  $count = 0;
  while (($file = readdir($fd)) !== false){
    if($file != "." && $file != ".."){
      $array[$count++] = $file;
    }
  }
  if($dest_dir == "") $dest_dir = $src_dir;
  foreach($array as $key => $file){
    rotate_image($src_dir, $dest_dir, $file, $angle);
  }
  closedir($fd);
}
rotate_dir_images("./images/", "", 45);
?>
